[linux-dvb] saa7146 changes required for 2.6.11-bk1

Anssi Hannula anssi.hannula at gmail.com
Sun Mar 6 18:06:37 CET 2005


Klaus Schmidinger wrote:
> C.Y.M wrote:
> 
>> I noticed the kernel developers made some new changes to i2c which 
>> affects saa7146 (and some other drivers) in 2.6.11-bk1.  Included is a 
>> patch for current dvb-kernel if you want to build the latest 2.6 
>> kernel snapshot.
>>
> 
> 
> Whoever checks this in to CVS should please make sure the latest
> CVS version of dvb-kernel still compiles with kernel 2.6.8 (which ist
> the version used in current Linux distributions such as SUSE 9.2).
> I'd hate to be forced to install a special kernel version in case
> I switch to dvb-kernel.

AFAIK dvb-kernel already doesn't compile with older kernels than 2.6.9. 
You may disable the non-working modules from Makefile, if you don't need 
them.

On the other hand, upgrading the kernel is rather easy, since it uses 
the .config of your 2.6.8 kernel. You need only make oldconfig/xconfig, 
make && make modules_install && make install. Another possibility is to 
install a newer kernel from SUSE's "unstable" branch, if such branch exists.

-- 
Anssi Hannula




More information about the linux-dvb mailing list